Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.support
Class StringMultipartFileEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.web.multipart.support.StringMultipartFileEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class StringMultipartFileEditor

extends java.beans.PropertyEditorSupport

Custom `PropertyEditor` for converting `MultipartFiles` to Strings.

Allows one to specify the charset to use.

Since:
  13.10.2003
Author:
  Juergen Hoeller

Constructor Summary
`StringMultipartFileEditor()` Create a new `StringMultipartFileEditor`, using the default charset.
`StringMultipartFileEditor(java.lang.String charsetName)` Create a new `StringMultipartFileEditor`, using the given charset.

Method Summary
`void` | `setAsText(java.lang.String text)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringMultipartFileEditor

    public StringMultipartFileEditor()

  Create a new `StringMultipartFileEditor`, using the default charset.

### StringMultipartFileEditor

    public StringMultipartFileEditor(java.lang.String charsetName)

  Create a new `StringMultipartFileEditor`, using the given charset.

  Parameters:
    `charsetName` - valid charset name
  See Also:
    `String.String(byte[],String)`

Method Detail

### setAsText

    public void setAsText(java.lang.String text)

  Specified by:
    `setAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `setAsText` in class `java.beans.PropertyEditorSupport`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD